For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Go to app
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
    • Introduction
    • Users
    • Taskflow
    • AI Task Builder
    • Studies
    • Representative sample studies
    • study-collections
    • Filter Sets
    • Participant Groups
    • Custom Groups
    • Study Distribution
    • Submissions
    • Bonuses
    • Messages
      • GETRetrieve messages
      • POSTSend a message
      • POSTSend a message to multiple participants
      • POSTSend a message to a participant group
      • GETRetrieve unread messages
    • Workspaces
    • Projects
    • Surveys
    • Webhooks
    • Invitations
    • Reward Recommendations
    • Testing
    • Well Known Endpoints
Go to app
LogoLogo
API ReferenceMessages

Send a message to a participant group

|View as Markdown|Open in Claude|
POST
https://api.prolific.com/api/v1/messages/participant-group/
POST
/api/v1/messages/participant-group/
$curl -X POST https://api.prolific.com/api/v1/messages/participant-group/ \
> -H "Authorization: Token <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "participant_group_id": "619e049f7648a4e1f8f3645b",
> "body": "Thanks for participating in my study",
> "study_id": "6569ece7ca177d19117b1b95"
>}'
Send a message to a participant group.
Was this page helpful?
Previous

Send a message to multiple participants

Next

Retrieve unread messages

Authentication

AuthorizationToken

The Prolific API uses API token to authenticate requests. You can create an API token directly from your settings.

Your API token does not have an expiry date and carries full permission, so be sure to keep them secure.

If your token is leaked, delete it and create a new one directly in the app.

In your requests add Authorization header with the value Token <your token>.

Request

This endpoint expects an object.
participant_group_idstringRequired
A participant group ID
bodystringRequired
Message Body. Text is sanitised for safe storage and display.
study_idstringOptional
A study ID

Response

The message has been sent

Errors

4XX
Client Request Error